# -*- mode: rpm-spec; coding: latin-1 -*-

%set_verify_elf_method textrel=relaxed

Name: osdsh
Version: 0.7.0
Release: alt3

Summary: Osdsh is a OSD daemon
License: GPL
Group: Sound
Url: http://www.sourceforge.net/projects/osdsh
Source: %name-%version.tar.gz
Source1: config.h
Patch0: %name-0.7.0-alt-linking.patch
Patch1: %name-0.7.0-alt-noapm.patch

# Automatically added by buildreq on Mon Jun 25 2007
BuildRequires: libxosd-devel packages-info-i18n-common

%description
osdsh is a daemon that reads from your mixer device and shows the
volume of the sound card when it changes, can show a clock,
independent of the mixer watch, tell you if you are connected, and
your battery status.

%prep
%setup
%patch0 -p1 -b .orig
%patch1 -p1 -b .orig

%__cp -fv %SOURCE1 src

%build
%__make PREFIX=%_prefix

%install
%__mkdir_p %buildroot %buildroot%_bindir
%__make install BINDIR=%buildroot%_bindir DOCDIR=%buildroot%_docdir/%name-%version LIBDIR=%buildroot%_libdir

%files
%_bindir/*
%_libdir/%name
%doc README* tkosdshconfig themes HOWTO

%changelog
* Mon Jun 25 2007 Terechkov Evgenii <evg@altlinux.ru> 0.7.0-alt3
- Patch0 updated to build on i86_x64

* Mon Jun 25 2007 Terechkov Evgenii <evg@altlinux.ru> 0.7.0-alt2
- Patch1 added to build without APM support (no libapm on i86_x64).

* Mon Jun 25 2007 Terechkov Evgenii <evg@altlinux.ru> 0.7.0-alt1
- Initial build for Sisyphus
